local mod = ...



-- Default Balancing (event list) ---------------------------------------------------------------------------------------------

mod:override({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND",
        "EVENT_FUEL_SELLING",
    }
})



-- Event: Start ---------------------------------------------------------------------------------------------

mod:register({
	DataType = "EVENT",
    Id = "EVENT_FUEL_SELLING",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 10, 
	ConditionList = {
		{
            DataType = "EVENT_CONDITION_BUILDING_BUILT",
            AssetBuilding = "MONUMENT_MARKET"
		}
	},
	ActionList = {
        {
            DataType = "EVENT_ACTION_GIVE_QUEST",
            Quest = "QUEST_FUEL_SELLING"
        },
    }
})



-- Quest: Build and staff ---------------------------------------------------------------------------------------------
mod:register({
    DataType = "QUEST",
    Id = "QUEST_FUEL_SELLING",
    Name = "QUEST_FUEL_SELLING_NAME",
    Description = "QUEST_FUEL_SELLING_DESC",
    IsSilent = true,
	QuestFunction = {
        DataType = "QUEST_FUNCTION_BUILD", 
        BuildingListToBuild = {
            "MONUMENT_MARKET"
        }
    },
    QuestRewardList = {
        {
            DataType = "QUEST_REWARD_RESOURCES",
            ResourceCollection = {
                {
                    Resource = "RESOURCE_WOOD_SELL",
                    Quantity = 0
                }
            }
        },
    },
    QuestFailList = nil,
    QuestListToUnlockAfter = nil,
    OnFailCallback = nil,
    OnSuccessCallback = nil
})

